Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03439 Sound Minor Always Sep 15, 2009, 00:19 Sep 20, 2009, 13:08
Tester sasuke View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver chinagat.cpp
Version 0.134 Fixed in Version 0.134u1 Build Normal
Summary 03439: chinagat and clones: OKI6295 sound pitch is too high.
Description OKI6295 sound pitch is too high.

For example:
- Credit sound.
- Voice at character selection.
Steps To Reproduce
Additional Information The video of working with real hardware is here:
http://gamenyarth.blog67.fc2.com/blog-entry-4926.html?id=sm7147690
Flags
Regression Version
Affected Sets / Systems chinagat and clones
Attached Files
mp3 file icon Saiyu Gomaroku (Real Hardware).mp3 (834,351 bytes) Sep 15, 2009, 00:19
mp3 file icon Saiyu Gomaroku (MAME 0.134).mp3 (784,196 bytes) Sep 15, 2009, 00:20
mp3 file icon Saiyu Gomaroku (MAME 0.134 Tuned).mp3 (867,265 bytes) Sep 16, 2009, 00:47
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.04940
sasuke
Tester
Sep 15, 2009, 16:57
edited on: Sep 15, 2009, 17:11
I seems to solve this bug by the following change (The volume also changes incidentally) :

chinagat.c Line 583:
MDRV_SOUND_ADD("oki", OKIM6295, 1065000)
MDRV_SOUND_CONFIG(okim6295_interface_pin7high) // clock frequency & pin 7 not verified
MDRV_SOUND_ROUTE(ALL_OUTPUTS, "mono", 0.60)
User avatar
No.04941
hap
Developer
Sep 15, 2009, 17:46
okidoki, thanks
User avatar
No.04944
sasuke
Tester
Sep 16, 2009, 00:51
Thanks for reply!

But I found correct sound volume is 0.80.
I uploaded recorded Tuned MAME sound for reference.

MDRV_SOUND_ROUTE(ALL_OUTPUTS, "mono", 0.80)